Bug 78080 - FILESAVE: Title appears in chart when saving in .xlsx
Summary: FILESAVE: Title appears in chart when saving in .xlsx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.1.5.3 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.3.0.2
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2014-04-29 13:29 UTC by stragu
Modified: 2019-09-17 08:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example spreadsheet with a chart showing the bug (7.12 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-04-29 13:29 UTC, stragu
Details
ods file to test this bug (14.51 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-05-05 11:47 UTC, stragu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stragu 2014-04-29 13:29:45 UTC
Created attachment 98181 [details]
Example spreadsheet with a chart showing the bug

Problem description: 

Steps to reproduce:
1. Create a dummy data sequence with a name for it at the beginning of the sequence (in the same column)
2. Select the whole thing (name + sequence)
3. Plot it and keep the defaults
4. Save the document as an xlsx, and save it as and ods too
5. Close the document and open both saved versions

Current behavior:
The xlsx version adds a title with the name of the sequence, whereas the ods version stayed the same (no title)

Expected behavior:
Saving in xlsx format should not add a title to the chart without the user deciding to do so.

You can also try with the attached documents. Getting rid of the title does not fix it, it comes back the next time you open the document.
Saving in xls format does not result in that bug.
              
Operating System: Ubuntu
Version: 4.1.5.3 release
Comment 1 tommy27 2014-05-02 13:33:21 UTC
tested under Win7x32 using LibO 4.2.3.3

I confirm that if you remove the title "values" from the chart in the attached .xlsx and you save and reload the title comes back.

It would however important that you upload the original .odt so we can reproduce the issue about title "appearance" after saving a titleless chart from .odt to .xlsx
Comment 2 stragu 2014-05-05 11:47:10 UTC
Created attachment 98476 [details]
ods file to test this bug

Here is the original ods file with a chart without a title. Saving it in xlsx format will make a title appear when opened next.

I think it is also important to note that I have come accross this issue with charts I created with LO in an xlsx file that was created with Microsoft Excel.
Comment 3 tommy27 2014-05-05 12:15:10 UTC
confirmed under Win7x64 using LibO 4.2.3.3
Comment 4 Markus Mohrhard 2014-06-22 02:28:59 UTC
It is an import and not an export problem. The exported document does not contain the title so seems like we mess this up during import.
Comment 6 Commit Notification 2014-06-23 09:06:15 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e07eedd38062edfbe4998946b75f1a3d958e9615&h=libreoffice-4-3

use the correct default value, fdo#78080


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Luke 2014-06-27 21:59:54 UTC
Could these changes have caused the recent regression responsible for Bug 80569?